: Class GeneralFrame

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## grendel.ui
Class GeneralFrame

    java.lang.Object
      |
      +--java.awt.Component
            |
            +--java.awt.Container
                  |
                  +--java.awt.Window
                        |
                        +--java.awt.Frame
                              |
                              +--javax.swing.JFrame
                                    |
                                    +--grendel.ui.GeneralFrame

Direct Known Subclasses:
  AddressBook, Composition, FolderFrame, MessageFrame, ProgressFrame, ResultsFrame, SearchFrame

public class GeneralFrame
extends javax.swing.JFrame

See Also:
  Serialized Form

Inner classes inherited from class javax.swing.JFrame
`javax.swing.JFrame.AccessibleJFrame`

Field Summary
`protected Animation` | `fAnimation`
`protected java.lang.String` | `fID`
`protected java.util.ResourceBundle` | `fLabels`
`protected javax.swing.JMenuBar` | `fMenu`
`protected java.awt.Container` | `fPanel`
`protected java.lang.String` | `fResourceBase`
`protected java.awt.Component` | `fStatusBar`
`protected javax.swing.JLabel` | `fStatusLabel`
`protected GrendelToolBar` | `fToolBar`
`protected CollapsiblePanel` | `fToolBarPanel`
`protected java.awt.GridBagConstraints` | `fToolBarPanelConstraints`
`protected java.awt.GridBagLayout` | `fToolBarPanelLayout`

Fields inherited from class javax.swing.JFrame
`accessibleContext, rootPane, rootPaneCheckingEnabled`

Fields inherited from class java.awt.Frame
`CROSSHAIR_CURSOR, DEFAULT_CURSOR, E_RESIZE_CURSOR, HAND_CURSOR, ICONIFIED, MOVE_CURSOR, N_RESIZE_CURSOR, NE_RESIZE_CURSOR, NORMAL, NW_RESIZE_CURSOR, S_RESIZE_CURSOR, SE_RESIZE_CURSOR, SW_RESIZE_CURSOR, TEXT_CURSOR, W_RESIZE_CURSOR, WAIT_CURSOR`

Fields inherited from class java.awt.Component
`BOTTOM_ALIGNMENT, CENTER_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, TOP_ALIGNMENT`

Constructor Summary
`GeneralFrame(java.lang.String aTitle, java.lang.String aID)`

Method Summary
`protected MenuBarCtrl` | `buildMenu(java.lang.String file, UIAction[] actions)` Creates the MenuBar by reading from an XML file
`protected java.awt.Component` | `buildStatusBar()`
`static void` | `CloseAllFrames()`
`void` | `dispose()`
`static GeneralFrame` | `FindFrameByID(java.lang.String aID)` Finds the last created frame of a given id.
`static GeneralFrame` | `FindFrameByID(java.lang.String aID, GeneralFrame aExclude)` Finds the last created frame of a given id.
`static GeneralFrame` | `GetDefaultFrame()` Returns a frame for use by dialogs
`static GeneralFrame[]` | `GetFrameList()`
`java.lang.String` | `getID()` Returns the frame's id.
`static boolean` | `IsExternalShell()`
`protected void` | `restoreBounds()`
`protected void` | `restoreBounds(int aWidth, int aHeight)`
`protected void` | `saveBounds()`
`static void` | `SetExternalShell(boolean aShell)` Sets whether or not this frame is working with an external application.
`void` | `setID(java.lang.String aID)` Sets the frame's id.
`protected void` | `setStatusText(java.lang.String aString)`
`protected void` | `startAnimation()`
`protected void` | `stopAnimation()`
`void` | `updateUI()`

Methods inherited from class javax.swing.JFrame
`addImpl, createRootPane, frameInit, getAccessibleContext, getContentPane, getDefaultCloseOperation, getGlassPane, getJMenuBar, getLayeredPane, getRootPane, isRootPaneCheckingEnabled, paramString, processKeyEvent, processWindowEvent, setContentPane, setDefaultCloseOperation, setGlassPane, setJMenuBar, setLayeredPane, setLayout, setRootPane, setRootPaneCheckingEnabled, update`

Methods inherited from class java.awt.Frame
`addNotify, finalize, getCursorType, getFrames, getIconImage, getMenuBar, getState, getTitle, isResizable, remove, removeNotify, setCursor, setIconImage, setMenuBar, setResizable, setState, setTitle`

Methods inherited from class java.awt.Window
`addWindowListener, applyResourceBundle, applyResourceBundle, getFocusOwner, getInputContext, getLocale, getOwnedWindows, getOwner, getToolkit, getWarningString, isShowing, pack, postEvent, processEvent, removeWindowListener, show, toBack, toFront`

Methods inherited from class java.awt.Container
`add, add, add, add, add, addContainerListener, countComponents, deliverEvent, doLayout, findComponentAt, findComponentAt, getAlignmentX, getAlignmentY, getComponent, getComponentAt, getComponentAt, getComponentCount, getComponents, getInsets, getLayout, getMaximumSize, getMinimumSize, getPreferredSize, insets, invalidate, isAncestorOf, layout, list, list, locate, minimumSize, paint, paintComponents, preferredSize, print, printComponents, processContainerEvent, remove, remove, removeAll, removeContainerListener, setFont, validate, validateTree`

Methods inherited from class java.awt.Component
`action, add, addComponentListener, addFocusListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseMotionListener, addPropertyChangeListener, addPropertyChangeListener, bounds, checkImage, checkImage, coalesceEvents, contains, contains, createImage, createImage, disable, disableEvents, dispatchEvent, enable, enable, enableEvents, enableInputMethods, firePropertyChange, getBackground, getBounds, getBounds, getColorModel, getComponentOrientation, getCursor, getDropTarget, getFont, getFontMetrics, getForeground, getGraphics, getHeight, getInputMethodRequests, getLocation, getLocation, getLocationOnScreen, getName, getParent, getPeer, getSize, getSize, getTreeLock, getWidth, getX, getY, gotFocus, handleEvent, hasFocus, hide, imageUpdate, inside, isDisplayable, isDoubleBuffered, isEnabled, isFocusTraversable, isLightweight, isOpaque, isValid, isVisible, keyDown, keyUp, list, list, list, location, lostFocus, mouseDown, mouseDrag, mouseEnter, mouseExit, mouseMove, mouseUp, move, nextFocus, paintAll, prepareImage, prepareImage, printAll, processComponentEvent, processFocusEvent, processInputMethodEvent, processMouseEvent, processMouseMotionEvent, removeComponentListener, removeFocusListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, removePropertyChangeListener, removePropertyChangeListener, repaint, repaint, repaint, repaint, requestFocus, reshape, resize, resize, setBackground, setBounds, setBounds, setComponentOrientation, setCursor, setDropTarget, setEnabled, setForeground, setLocale, setLocation, setLocation, setName, setSize, setSize, setVisible, show, size, toString, transferFocus`

Methods inherited from class java.lang.Object
`clone, equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### fPanel

    protected java.awt.Container fPanel

### fAnimation

    protected Animation fAnimation

### fMenu

    protected javax.swing.JMenuBar fMenu

### fToolBarPanel

    protected CollapsiblePanel fToolBarPanel

### fToolBarPanelLayout

    protected java.awt.GridBagLayout fToolBarPanelLayout

### fToolBarPanelConstraints

    protected java.awt.GridBagConstraints fToolBarPanelConstraints

### fToolBar

    protected GrendelToolBar fToolBar

### fStatusBar

    protected java.awt.Component fStatusBar

### fResourceBase

    protected java.lang.String fResourceBase

### fID

    protected java.lang.String fID

### fStatusLabel

    protected javax.swing.JLabel fStatusLabel

### fLabels

    protected java.util.ResourceBundle fLabels

Constructor Detail

### GeneralFrame

    public GeneralFrame(java.lang.String aTitle,
                        java.lang.String aID)

Method Detail

### dispose

    public void dispose()

  Overrides:
    dispose in class java.awt.Window

### updateUI

    public void updateUI()

### setID

    public void setID(java.lang.String aID)

  Sets the frame's id.

### getID

    public java.lang.String getID()

  Returns the frame's id.

### FindFrameByID

    public static GeneralFrame FindFrameByID(java.lang.String aID)

  Finds the last created frame of a given id.

### FindFrameByID

    public static GeneralFrame FindFrameByID(java.lang.String aID,
                                             GeneralFrame aExclude)

  Finds the last created frame of a given id.

### GetDefaultFrame

    public static GeneralFrame GetDefaultFrame()

  Returns a frame for use by dialogs

### SetExternalShell

    public static void SetExternalShell(boolean aShell)

  Sets whether or not this frame is working with an external application. Important to prevent exiting the system when all our frames close.

### IsExternalShell

    public static boolean IsExternalShell()

### GetFrameList

    public static GeneralFrame[] GetFrameList()

### CloseAllFrames

    public static void CloseAllFrames()

### buildMenu

    protected MenuBarCtrl buildMenu(java.lang.String file,
                                    UIAction[] actions)

  Creates the MenuBar by reading from an XML file
  Parameters:
    `file` - the XML file to build the menu from
  Returns:
    a menubar built from the file

### buildStatusBar

    protected java.awt.Component buildStatusBar()

### startAnimation

    protected void startAnimation()

### stopAnimation

    protected void stopAnimation()

### setStatusText

    protected void setStatusText(java.lang.String aString)

### saveBounds

    protected void saveBounds()

### restoreBounds

    protected void restoreBounds(int aWidth,
                                 int aHeight)

### restoreBounds

    protected void restoreBounds()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD